For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
LogoLogo
LogoLogo
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList views by Sheet
      • POSTCreate a view
      • GETGet a view
      • PATCHUpdate a view
      • DELDelete a view
CommunityCreate AccountSign in
API ReferenceViews

Get a view

GET
https://api.x.flatfile.com/v1/views/:viewId
GET
/v1/views/:viewId
$curl https://api.x.flatfile.com/v1/views/us_vi_YOUR_ID \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "id": "us_vi_YOUR_ID",
4 "sheetId": "us_sh_YOUR_ID",
5 "name": "My View",
6 "config": {
7 "sortField": "email",
8 "sortDirection": "asc",
9 "filter": "error",
10 "filterField": "email",
11 "q": "firstname like %John%"
12 },
13 "createdBy": "us_usr_YOUR_ID"
14 }
15}
Returns a single view
Was this page helpful?
Previous

Update a view

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

viewIdstringRequired
ID of view to return

Headers

X-Disable-Hooks"true"Required

Response

This endpoint returns an object.
dataobject
A view

Errors

400
Bad Request Error
404
Not Found Error